using System;
using System.Data;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

/// <summary>
/// Summary description for FeedItem
/// </summary>
public class FeedItem : System.IEquatable<FeedItem>
    {
        public FeedItem(string FeedTitle, string FeedUrl)
        {
            this.FeedTitle = FeedTitle;
            this.FeedUrl = FeedUrl;
        }

        public string FeedTitle
        {
            get { return _FeedTitle; }
            set { _FeedTitle = value; }
        }
        private string _FeedTitle = "";

        public string FeedUrl
        {
            get { return _FeedUrl; }
            set { _FeedUrl = value; }
        }
        private string _FeedUrl = "";


        #region IEquatable<FeedItem> Members

        public bool Equals(FeedItem other)
        {
            if (this.FeedUrl == ((FeedItem)other).FeedUrl)
                return true;

            return false;
        }

        #endregion
    }
